umbrello: DotPaintEngine Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Public Attributes | List of all members
DotPaintEngine Class Reference
Inheritance diagram for DotPaintEngine:

## Public Member Functions
| DotPaintEngine (PaintEngineFeatures caps=0)
virtual | ~DotPaintEngine ()
virtual bool | begin (QPaintDevice *pdev)
virtual void | drawEllipse (const QRectF &rect)
virtual void | drawEllipse (const QRect &rect)
virtual void | drawImage (const QRectF &rectangle, const QImage &image, const QRectF &sr, Qt::ImageConversionFlags flags=Qt::AutoColor)
virtual void | drawLines (const QLineF *lines, int lineCount)
virtual void | drawLines (const QLine *lines, int lineCount)
virtual void | drawPath (const QPainterPath &path)
virtual void | drawPixmap (const QRectF &r, const QPixmap &pm, const QRectF &sr)
virtual void | drawPoints (const QPointF *points, int pointCount)
virtual void | drawPoints (const QPoint *points, int pointCount)
virtual void | drawPolygon (const QPointF *points, int pointCount, PolygonDrawMode mode)
virtual void | drawPolygon (const QPoint *points, int pointCount, PolygonDrawMode mode)
virtual void | drawRects (const QRectF *rects, int rectCount)
virtual void | drawRects (const QRect *rects, int rectCount)
virtual void | drawTextItem (const QPointF &p, const QTextItem &textItem)
virtual void | drawTiledPixmap (const QRectF &rect, const QPixmap &pixmap, const QPointF &p)
virtual bool | end ()
virtual Type | type () const
virtual void | updateState (const QPaintEngineState &state)

## Public Attributes
QStringList | m_data

## Detailed Description

dot specific paint engine

## Constructor & Destructor Documentation

## ◆ DotPaintEngine()

DotPaintEngine::DotPaintEngine | ( | PaintEngineFeatures | caps = `0` | ) |
| inline

## ◆ ~DotPaintEngine()

virtual DotPaintEngine::~DotPaintEngine | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ begin()

virtual bool DotPaintEngine::begin | ( | QPaintDevice * | pdev | ) |
| inlinevirtual

## ◆ drawEllipse() [1/2]

virtual void DotPaintEngine::drawEllipse | ( | const QRect & | rect | ) |
| inlinevirtual

## ◆ drawEllipse() [2/2]

virtual void DotPaintEngine::drawEllipse | ( | const QRectF & | rect | ) |
| inlinevirtual

## ◆ drawImage()

virtual void DotPaintEngine::drawImage | ( | const QRectF & | rectangle,
|  | const QImage & | image,
|  | const QRectF & | sr,
|  | Qt::ImageConversionFlags | flags = `Qt::AutoColor`
| ) |  |
| inlinevirtual

## ◆ drawLines() [1/2]

virtual void DotPaintEngine::drawLines | ( | const QLine * | lines,
|  | int | lineCount
| ) |  |
| inlinevirtual

## ◆ drawLines() [2/2]

virtual void DotPaintEngine::drawLines | ( | const QLineF * | lines,
|  | int | lineCount
| ) |  |
| inlinevirtual

## ◆ drawPath()

virtual void DotPaintEngine::drawPath | ( | const QPainterPath & | path | ) |
| inlinevirtual

## ◆ drawPixmap()

virtual void DotPaintEngine::drawPixmap | ( | const QRectF & | r,
|  | const QPixmap & | pm,
|  | const QRectF & | sr
| ) |  |
| inlinevirtual

## ◆ drawPoints() [1/2]

virtual void DotPaintEngine::drawPoints | ( | const QPoint * | points,
|  | int | pointCount
| ) |  |
| inlinevirtual

## ◆ drawPoints() [2/2]

virtual void DotPaintEngine::drawPoints | ( | const QPointF * | points,
|  | int | pointCount
| ) |  |
| inlinevirtual

## ◆ drawPolygon() [1/2]

virtual void DotPaintEngine::drawPolygon | ( | const QPoint * | points,
|  | int | pointCount,
|  | PolygonDrawMode | mode
| ) |  |
| inlinevirtual

## ◆ drawPolygon() [2/2]

virtual void DotPaintEngine::drawPolygon | ( | const QPointF * | points,
|  | int | pointCount,
|  | PolygonDrawMode | mode
| ) |  |
| inlinevirtual

## ◆ drawRects() [1/2]

virtual void DotPaintEngine::drawRects | ( | const QRect * | rects,
|  | int | rectCount
| ) |  |
| inlinevirtual

## ◆ drawRects() [2/2]

virtual void DotPaintEngine::drawRects | ( | const QRectF * | rects,
|  | int | rectCount
| ) |  |
| inlinevirtual

## ◆ drawTextItem()

virtual void DotPaintEngine::drawTextItem | ( | const QPointF & | p,
|  | const QTextItem & | textItem
| ) |  |
| inlinevirtual

## ◆ drawTiledPixmap()

virtual void DotPaintEngine::drawTiledPixmap | ( | const QRectF & | rect,
|  | const QPixmap & | pixmap,
|  | const QPointF & | p
| ) |  |
| inlinevirtual

## ◆ end()

virtual bool DotPaintEngine::end | ( |  | ) |
| inlinevirtual

## ◆ type()

virtual Type DotPaintEngine::type | ( |  | ) | const
| inlinevirtual

## ◆ updateState()

virtual void DotPaintEngine::updateState | ( | const QPaintEngineState & | state | ) |
| inlinevirtual

## Member Data Documentation

## ◆ m_data

QStringList DotPaintEngine::m_data

The documentation for this class was generated from the following file:

- umbrello/dotgenerator.cpp